Bug 436429 - AIGLX error: dlsym for __driCreateNewScreen_20070105 failed
AIGLX error: dlsym for __driCreateNewScreen_20070105 failed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-07 00:49 EST by Axel Thimm
Modified: 2008-03-14 01:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 16:44:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2008-03-07 00:49:29 EST
Description of problem:
The X server with the shipped intel driver reports

(EE) AIGLX error: dlsym for __driCreateNewScreen_20070105 failed
(/usr/lib64/dri/i965_dri.so: undefined symbol: __driCreateNewScreen_20070105)


Version-Release number of selected component (if applicable):
7.1-0.19.fc9

How reproducible:
always

Steps to Reproduce:
1.Install on 965 graphics
2.
3.
  
Actual results:


Expected results:


Additional info:
Maybe mesa needs a rebuild against current rawhide bits to pick up any new
symbol for __driCreateNewScreen_<date>?
Comment 1 Adam Jackson 2008-03-13 16:44:54 EDT
Your X server is too old.

New X servers look for __driCreateNewScreen_20080310, which is correctly
exported by the DRI drivers.
Comment 2 Axel Thimm 2008-03-14 01:21:28 EDT
Thanks for fixing!

Note You need to log in before you can comment on or make changes to this bug.